<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile
?>
<?php
/** @var $block \Magento\Framework\View\Element\Template */
/** @var $helper \Magento\Search\Helper\Data */
$helper = $this->helper(\Magento\Search\Helper\Data::class);
?>

    
        
        
                <input type="text" name="q" id="author_search" class="input-text" data-validate="{required:false}" aria-required="false" autocomplete="off"/>
         
            
       

                <div class="control">
                	<div id="searchCategories" style="display: none;">
						<select>
							<option value="all">All</option>
							<?php 
								foreach($this->getCategories() as $category){
									?>
										<option value="<?php echo $category->getId(); ?>"><?php echo $category->getName(); ?></option>
									<?php 
								}
							?>
						</select>
					</div>
                 
                </div>
        

    


<script type="text/javascript">
require(['jquery', 'domReady!'], function($){
	var searchControlElement = $('.autocomplete-faq').first();
	searchControlElement.append('<div id="searchAutocomplete" style="display:none;"><ul></ul></div>');
	$('#search_autocomplete').remove();
	$('#author_search').unbind();
	$(window).click(function() {
		$('#searchAutocomplete').hide();
	});
	$('.block.block-search').click(function(event){
	    event.stopPropagation();
	});
	$('#author_search').bind('input', function(){
  		var searchInput = $(this);
	  	var searchInputValue = searchInput.val().replace("/^[a-zA-Z0-9 _-]+$/i", "");
	  	if(searchInputValue.length >=3){
	  		url = "<?php echo $this->getAjaxUrl(); ?>";
	  		$.ajax({
	           	type: "GET",
	           	url: url,
	           	data: {query: searchInputValue, category: $('#searchCategories select').first().val()},
	           	success: function(data){
	           		console.log(data);
	           		var searchResultHtml = '';
	           		var size = Object.keys(data).length;
	           		for(let i=1; i<=size; i++){
	           			searchResultHtml += '<li data-url="'+data[i]['url']+'">';
	           			
	           			searchResultHtml += '<div class="sa-prop">';
		           			searchResultHtml += '<div class="sa-title"><p>'+data[i]['sku']+'</p></div>';
		           			
		           		searchResultHtml += '</div>';
	           			searchResultHtml += '</li>';
	           			$('#searchAutocomplete ul').first().html(searchResultHtml);
	           		}
	           		$( "#searchAutocomplete ul li" ).on( "click", function() {
	           			
				  		$('#author_search').val($(this).find('.sa-title p').html());
					});
	           		if(size > 0){
	           			$('#searchAutocomplete').show();
					}else{
						$('#searchAutocomplete').hide();
					}
				},
	            error: function (data) {
	                console.log(data);
	            }
	  		});
	  	}else{
	  		$('#searchAutocomplete').hide();
	  	}
	});
	$("#author_search").on("focus", function(){
    	var searchInput = $(this);
	  	var searchInputValue = searchInput.val().replace("/^[a-zA-Z0-9 _-]+$/i", "");
	  	if(searchInputValue.length >=3){
	  		url = "<?php echo $this->getAjaxUrl(); ?>";
	  		$.ajax({
	           	type: "GET",
	           	url: url,
	           	data: {query: searchInputValue, category: $('#searchCategories select').first().val()},
	           	success: function(data){
	           		console.log(data);
	           		var searchResultHtml = '';
	           		var size = Object.keys(data).length;
	           		for(let i=1; i<=size; i++){
	           			searchResultHtml += '<li data-url="'+data[i]['url']+'">';
	           			
	           			searchResultHtml += '<div class="sa-prop">';
		           			searchResultHtml += '<div class="sa-title"><p>'+data[i]['sku']+'</p></div>';
		           			
		           		searchResultHtml += '</div>';
	           			searchResultHtml += '</li>';
	           			$('#searchAutocomplete ul').first().html(searchResultHtml);
	           		}
	           		if(size > 0){
	           			$('#searchAutocomplete').show();
					}else{
						$('#searchAutocomplete').hide();
					}
					$( "#searchAutocomplete ul li" ).on( "click", function() {
						$('#author_search').val($(this).find('.sa-title p').html());
					});
				},
	            error: function (data) {
	                console.log(data);
	            }
	  		});
	  	}else{
	  		$('#searchAutocomplete').hide();
	  	}
	});
	$("#searchCategories select").first().on("change", function(){
		var searchInput = $('#author_search');
	  	var searchInputValue = searchInput.val().replace("/^[a-zA-Z0-9 _-]+$/i", "");
	  	if(searchInputValue.length >=3){
	  		url = "<?php echo $this->getAjaxUrl(); ?>";
	  		$.ajax({
	           	type: "GET",
	           	url: url,
	           	data: {query: searchInputValue, category: $('#searchCategories select').first().val()},
	           	success: function(data){
	           		console.log(data);
	           		var searchResultHtml = '';
	           		var size = Object.keys(data).length;
	           		for(let i=1; i<=size; i++){
	           			searchResultHtml += '<li data-url="'+data[i]['url']+'">';
	           			searchResultHtml += '<div class="sa-image"><img src="'+data[i]['thumbnail']+'"></div>';
	           			searchResultHtml += '<div class="sa-prop">';
		           			searchResultHtml += '<div class="sa-title"><p>'+data[i]['sku']+'</p></div>';
		           			if(data[i]['rating']){
		           				searchResultHtml += '<div class="sa-rating"><div class="rating-summary"><div class="rating-result" title="'+data[i]['rating']+'%"><span style="width:'+data[i]['rating']+'%"><span>'+data[i]['rating']+'%</span></span></div></div></div>';
		           			}
		           			searchResultHtml += '<div class="sa-price"><p>'+data[i]['price']+'<p></div>';
		           		searchResultHtml += '</div>';
	           			searchResultHtml += '</li>';
	           			$('#searchAutocomplete ul').first().html(searchResultHtml);
	           		}
	           		if(size > 0){
	           			$('#searchAutocomplete').show();
					}else{
						$('#searchAutocomplete').hide();
					}
					$( "#searchAutocomplete ul li" ).on( "click", function() {
						$('#author_search').val($(this).find('.sa-title p').html());
					});
				},
	            error: function (data) {
	                console.log(data);
	            }
	  		});
	  	}else{
	  		$('#searchAutocomplete').hide();
	  	}
	});
        $('.question-field-check').find('input[type="checkbox"]').click(function(){
            if($(this).prop("checked") == true){
                $('#author_search').attr('disabled', 'disabled');
            }
            else if($(this).prop("checked") == false){
                $('#author_search').removeAttr('disabled');
            }
        });
});
</script>
<style type="text/css">
	.question-field-detail {
    width: 100% !important;
    padding-right: 0px !important;
    padding-top: 15px;
}
.question-field-detail textarea{
   
    border-radius: 10px !important;
}
.question-field-detail input[type="checkbox"]{
   margin: 0 !important;
}
#searchCategories {
	display: inline-block;
	float: left;
	width: 30%;
}
#author_search {
	display: inline-block;
	position: relative;
	left: unset;
	
	
}
.block-search {
	
}
#searchAutocomplete {
	position: absolute;
	top: 52%;
	border: 1px solid #222;
	background-color: white;
	width: 20%;
}
#searchAutocomplete button {
	margin: 10px;
}
#searchAutocomplete ul {
	margin: 0;
	padding: 5px;
	list-style: none;
}
#searchAutocomplete ul li {
	padding: 4px;
	border-bottom: 1px solid #cccccc;
	margin: 0;
	cursor: pointer;
}
#searchAutocomplete ul li:hover, #searchAutocomplete ul li:last-child:hover {
	border: 1px solid #cccccc;
}
#searchAutocomplete ul li:last-child {
    border-bottom: unset;
}
#searchAutocomplete .sa-image {
	display: inline-block;
	max-width: 30%;
}
#searchAutocomplete .sa-rating {
	margin-top: 10px;
}
#searchAutocomplete .sa-prop {
	display: inline-block;
	width: 70%;
	
}
#searchAutocomplete .sa-title {
	margin-top: 10px;
}
#searchAutocomplete .sa-price {
	margin-top: 10px;
	padding: 10px;
}

</style>
